generator:
  class: sfDoctrineGenerator
  param:
    model_class:           DiscountPhone
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          discount_phone
    with_doctrine_route:   true
    actions_base_class:    sfActions
    skip: true

    config:
      tabs:
        0: { label: 'Скидки', url_for: 'discount/index?tab=0' }
        1: { label: 'Телефоны' }
      actions: ~
      fields:
        id: {label: 'id'}
        phone: {label: 'Телефон'}
        discount_id: {label: 'Скидка'}
        active_discount: {label: 'Текущая скидка'}
        order_id: {label: '№ заказа'}
        created_at: {label: 'Создана'}
        updated_at: {label: 'Активирована'}
        discount: {label: 'Скидка'}
      list:
        layout: ~
        title: 'Скидки'
        display: [phone, _discount, created_at, _updated_at]
        max_per_page: 100
        object_actions:
          _delete: ~
          _edit: ~
        search:
          fields: false
        export: false
      filter:
        display: [discount_id]
      form: ~
      edit:
        title: Редактирование телефона
      new:
        title: Добавление телефона